Loading...
Searching...
No Matches
OracleSqlUtil::OracleNumberColumn Class Reference

represents an Oracle number column More...

Inheritance diagram for OracleSqlUtil::OracleNumberColumn:
[legend]

## Additional Inherited Members

Public Member Functions inherited from OracleSqlUtil::OracleColumn
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not
list< string > | getAddColumnSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
string | getDdlName (string name)
| returns the column name with quoting in case the column name is a reserved word More...
list< string > | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition More...
string | getNativeTypeString ()
| returns the string describing the native type that can be used in SQL More...
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...
Public Attributes inherited from OracleSqlUtil::OracleColumn
int | byte_size
| byte size of the column
bool | char_used
| the column uses character semantics
Protected Member Functions inherited from OracleSqlUtil::OracleColumn
| constructor ()
| empty constructor for subclasses

## Detailed Description

represents an Oracle number column